Finding Distractors In Images
=============================

This file contains data collected for our CVPR 2015 paper. If you use the data, please add the following cite:

    @inproceedings{Fried:2015:FDI,
      author = "Ohad Fried and Eli Shechtman and Dan B Goldman and Adam Finkelstein",
      title = "Finding Distractors In Images",
      booktitle = "Computer Vision and Pattern Recognition (CVPR)",
      year = "2015",
      month = jun
    }

Contents
--------
- `./masks` average distractor prediction (per input image, across all users). Note that masks are available for 403 images: those that passed the consensus test as described in the paper.
- `./stimuli` should contain all input images. Since all our images are from other datasets, none are provided here. Have a look at the markdown file within that directory for instruction on how to get the images.

For most applications, the precalculated masks should be enough. However, if you want to mess around with raw data, we provide all annotations along with some helpful matlab scripts.
- `./raw` all annotations in _.png_ format.
  - Each file name consists of the assignment id, followed by two underscores and the input file name.
  - Red channel indicates distractors.
  - Black indicates an area that was annotated but then the annotation was erased. For most applications, black pixels can be ignored.
- `./process_raw_results` a set of matlab scripts used to process the raw data. The scripts are numbered according to the order we used for the paper. Each script accepts a directory as input, which should be the directory that contains `raw`. You will also need to create directories for the outputs (currently set as `processed1` to `processed6`). The way the scripts are set up, each step will copy files that pass the test to the next directory. While this is wasteful in space (compared to deleting unwanted files), the process results with all intermediate preprocessing steps intact.

For any questions, comments or suggestions, please contact [Ohad Fried](http://www.cs.princeton.edu/~ohad/)

<sub><sup>_Version 1.0_</sup></sub>
